Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.mx.persistence
Class DelegatingPersistenceManager

    java.lang.Object
      org.jboss.mx.persistence.DelegatingPersistenceManager

All Implemented Interfaces:
  PersistenceManager

public class DelegatingPersistenceManager
extends Object
implements PersistenceManager

DelegatingPersistenceManager. An XMBean Persistence Manager that delegates to an external MBean-controlled implementation the actual persistence of MBean attributes.

Version:
  $Revision: 1.3 $
Author:
  Dimitris Andreadis

Constructor Summary
`DelegatingPersistenceManager()`

Method Summary
`protected void` | `init(ModelMBeanInvoker invoker, MBeanInfo metadata)` Lazy initialization Gets the external persistor to use and decides on the persistName to use for this MBean load()/store() calls.
`protected boolean` | `isLoading()` Check if we are loading state
`void` | `load(ModelMBeanInvoker invoker, MBeanInfo metadata)` Called initialy when the XMBean is constructed in order to load and set the attributes of the MBean, if their persistent image exists.
`protected void` | `setIsLoading(boolean newIsLoading)` Set the loading status
`void` | `store(MBeanInfo metadata)` store() is triggered by the PersistenceInterceptor based on the persistence policy.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DelegatingPersistenceManager

    public DelegatingPersistenceManager()

Method Detail

### load

    public void load(ModelMBeanInvoker invoker,
                     MBeanInfo metadata)
              throws MBeanException

  Called initialy when the XMBean is constructed in order to load and set the attributes of the MBean, if their persistent image exists.

  Specified by:
    `load` in interface `PersistenceManager`
  Throws:
    `MBeanException`

### store

    public void store(MBeanInfo metadata)
               throws MBeanException

  store() is triggered by the PersistenceInterceptor based on the persistence policy. In the simple case, it will be called for every attribute set. store() will save *all* attributes that: (a) are writable (so we can re-load them later on) (b) their value exists in the ATTRIBUTE_VALUE descriptor (c) are not marked as PM_NEVER

  Specified by:
    `store` in interface `PersistenceManager`
  Throws:
    `MBeanException`

### init

    protected void init(ModelMBeanInvoker invoker,
                        MBeanInfo metadata)
                 throws MBeanException

  Lazy initialization Gets the external persistor to use and decides on the persistName to use for this MBean load()/store() calls.

  Throws:
    `MBeanException`

### isLoading

    protected boolean isLoading()

  Check if we are loading state

### setIsLoading

    protected void setIsLoading(boolean newIsLoading)

  Set the loading status

  Parameters:
    `newIsLoading` -

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.